Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.datatype
Interface DataType

All Superinterfaces:
  Serializable

    public interface DataType

extends Serializable

Represents a unique type of data that may be represented within a tool environment.

Method Summary
`String` | `getDescription()` A description of the data this type represents.
`String` | `getDisplayName()` A short name that describes the data this type represents.
`String` | `getId()` Uniquely identifies this data type with respect to all other data types (and any variants thereof).
`Class` | `getValueClass()` Get the Java Class for the object representing values of this data type.
`DataTypeValueSerializer` | `getValueSerializer()` Returns a serializer that may be plugged into a tool environment to allow data type values to be moved to and from a persistent store (that stores raw byte values).
`DataTypeValueSummarizer` | `getValueSummarizer()` Returns a summarizer object that allows a tool environment to summarize a data type value in a limited amount of space.
`DataTypeValueValidator` | `getValueValidator()` Returns a validator that may be plugged into a tool environment to allow data type values to checked for validity with respect to any formatting, range, or other constraints appropriate for this data type.

Method Detail

### getId

    String getId()

  Uniquely identifies this data type with respect to all other data types (and any variants thereof).

  Returns:

### getDisplayName

    String getDisplayName()

  A short name that describes the data this type represents.

  Returns:

### getDescription

    String getDescription()

  A description of the data this type represents.

  Returns:

### getValueClass

    Class getValueClass()

  Get the Java Class for the object representing values of this data type.

### getValueSummarizer

    DataTypeValueSummarizer getValueSummarizer()

  Returns a summarizer object that allows a tool environment to summarize a data type value in a limited amount of space. This summary may not encompass the entire value, and may require the use of an editor to see or edit the entire value. The summarizer indicates zero or more editors that may be used to edit the property.

  Returns:

### getValueSerializer

    DataTypeValueSerializer getValueSerializer()

  Returns a serializer that may be plugged into a tool environment to allow data type values to be moved to and from a persistent store (that stores raw byte values).

  Returns:

### getValueValidator

    DataTypeValueValidator getValueValidator()

  Returns a validator that may be plugged into a tool environment to allow data type values to checked for validity with respect to any formatting, range, or other constraints appropriate for this data type.

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD